using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            string A,B,C;
            double a1, a2, a3, a4, a5, a6, najveci;
            string izl,input;

            input = Console.ReadLine();
            A = input.Split(' ')[0];
            B = input.Split(' ')[1];
            C = input.Split(' ')[2];
            a1 = Convert.ToDouble(A + B + C);
            a2 = Convert.ToDouble(A + C + B);
            a3 = Convert.ToDouble(B + A + C);
            a4 = Convert.ToDouble(B + C + A);
            a5 = Convert.ToDouble(C + A + B);
            a6 = Convert.ToDouble(C + B + A);
            najveci = a1;
            izl = A + B + C;
            if(a2>najveci)
            { najveci = a2;
                izl = A + C + B;
            }
            if (a3 > najveci)
            { najveci = a3;
                izl = B + A + C;
            }
            if (a4 > najveci)
            { najveci = a4;
                izl = B + C + A;
            }
            if (a5 > najveci)
            { najveci = a5;
                izl = C + A + B;
            }
            if (a6 > najveci)
            { najveci = a6;
                izl = C + B + A;
            }

            Console.WriteLine(izl);

        }
    }
}